package f1.entity;

public class DriverStatistic {
    private int totalCnt;
    private int scoreSum;
    private int medal;
    private int gold;
    private int pole;
    private int topTen;
    private int unfinished;
    private int fastestLap;

    public DriverStatistic(int totalCnt, int scoreSum, int medal, int gold, int pole, int topTen, int unfinished,
            int fastestLap) {
        this.totalCnt = totalCnt;
        this.scoreSum = scoreSum;
        this.medal = medal;
        this.gold = gold;
        this.pole = pole;
        this.topTen = topTen;
        this.unfinished = unfinished;
        this.fastestLap = fastestLap;
    }

    public int getTotalCnt() {
        return totalCnt;
    }

    public int getScoreSum() {
        return scoreSum;
    }

    public int getMedal() {
        return medal;
    }

    public int getGold() {
        return gold;
    }

    public int getPole() {
        return pole;
    }

    public int getTopTen() {
        return topTen;
    }

    public int getUnfinished() {
        return unfinished;
    }

    public int getFastestLap() {
        return fastestLap;
    }

    public void setTotalCnt(int totalCnt) {
        this.totalCnt = totalCnt;
    }

    public void setScoreSum(int scoreSum) {
        this.scoreSum = scoreSum;
    }

    public void setMedal(int medal) {
        this.medal = medal;
    }

    public void setGold(int gold) {
        this.gold = gold;
    }

    public void setPole(int pole) {
        this.pole = pole;
    }

    public void setTopTen(int topTen) {
        this.topTen = topTen;
    }

    public void setUnfinished(int unfinished) {
        this.unfinished = unfinished;
    }

    public void setFastestLap(int fastestLap) {
        this.fastestLap = fastestLap;
    }
}